%define name smeserver-zarafa
%define version 0.9.0
%define release 5
Summary: smserver rpm to setup zarafa
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-zarafa-0.9.0-removephp.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: zarafa
AutoReqProv: no

%description
smserver rpm to setup zarafa

%changelog
* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-5
- remove php template: [SME 4620]

* Mon Nov 03 2008 Darrell May <dmay@tallgrassranch.com>
- added template to sort junk e-mail: Bug 4705
- [0.9-4a]
* Mon Nov 03 2008 Darrell May <dmay@tallgrassranch.com>
- added /usr/bin/perl createlinks to spec file: Bug 4725
- [0.9-3a]
* Wed Oct 08 2008 Darrell May <dmay@tallgrassranch.com>
- smeserver-zarafa-0.9-2a.patch: Bug 4634
- [0.9-2a]
* Fri Oct 03 2008 Darrell May <dmay@tallgrassranch.com>
- initial release
- [0.9-1a]

%prep
%setup
%patch0 -p1

%build
/usr/bin/perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
%preun
%post
%postun

